Subject: Re: [ANN] net-next is OPEN

From: Jakub Kicinski <[email-masked]>
Date: Mon, 29 Jan 2024 07:03:04 -0800

On Mon, 29 Jan 2024 10:23:15 +0100 Paolo Abeni wrote:
> > It's a bug in that version of iputils ping. It sets the BINDTODEVICE and
> > then resets it because the source address is not set on the command line
> > (it should not be required).
> > 
> > There are a couple of workarounds - one which might not age well (ie.,
> > amazon linux moving forward to newer packages -I <addr> -I <vrf>) and
> > one that bypasses the purpose of the test (ip vrf exec)).  
> 
> Could the script validate the 'ping' command WRT the bad behavior/bug
> and  eventually skip the related tests?

Skipping if the package has a bug would be best, if we can figure that
out. The latest version is fixed, right? I can build it locally, just
like pretty much everything else..